---
title: "Financial"
url: "https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2"
---

# Financial

OpenAPI specification document.

```json
{"openapi":"3.0.1","info":{"title":"Financial","description":"This API product gives all the possible functionalities we can perform on financials like add, update, delete financial line items, funds authorization and set completion date.","version":"v1","x-api-version":"1.1.0","x-pexa-products":["partner"],"x-pexa-segments":["lawfirms","lenders"],"x-idp-audience":"PexaPartnerAPI","x-idp-audience-identifier":"https://app.pexauk.co.uk/api/v1/pexa-partner"},"servers":[{"url":"https://api.pexa.co.uk","description":"API Gateway URL"}],"tags":[{"name":"Financial","description":"This API product gives all the possible functionalities we can perform on financials like add, update, delete financial line items, funds authorization and set completion date"}],"paths":{"/partner/api/platformconnect/v1/workspaces/{workspace_id}/funds-authorisation":{"post":{"tags":["Settlement"],"summary":"Funds Authorisation","description":"This API is used to authorise/un-authorise the fss source line item for a workspace","operationId":"fundsAuthorisation","security":[{"oauth2":["x-api:authorise:funds","authorise:funds"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"workspace_id","in":"path","description":"Workspace id","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["completionDate","lineItem"],"properties":{"completionDate":{"type":"string","format":"date","example":"1970-12-31"},"lineItem":{"type":"object","required":["authorised","category","amount"],"properties":{"authorised":{"type":"boolean","example":true,"description":"Authorisation status of the line item"},"category":{"type":"string","pattern":"^(Mortgage Advance)$","description":"Allowed values:\n [`Mortgage Advance`]\n","example":"Mortgage Advance"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10}}}}}}},"required":true},"responses":{"200":{"description":"OK","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"matched":{"type":"boolean","example":true},"authorised":{"type":"boolean","example":true,"description":"Authorisation status of the line item"}}}}}},"400":{"description":"BAD REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"field":"amount","message":"Amount mismatch"}]}}}},"404":{"description":"NOT FOUND","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Resource not found for: workspace id"}]}}}},"500":{"description":"INTERNAL SERVER ERROR","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Internal Server Error"}]}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}}},"/partner/api/platformconnect/v1/financial-settlement-schedules/{financialSettlementScheduleId}/line-items":{"post":{"tags":["lineItem"],"summary":"Add Financial Line Item","description":"This API is used in conjunction with 'Fetch financial settlement schedules' API  to create an individual funds source or destination line item","operationId":"createLineItem","security":[{"oauth2":["add:fss_line_items"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"financialSettlementScheduleId","in":"path","required":true,"description":"Financial Settlement Schedule id for which lineItems are created","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"hasLinkedAccount":{"type":"boolean","description":"Flag to indicate whether account is linked to a financial account"}},"required":["type","amount","reference","category"]},"examples":{"CreateSourceLineItem":{"value":{"type":"SOURCE","amount":100,"reference":"test reference","category":"Mortgage Advance"}},"CreateDestinationLineItem":{"value":{"amount":100,"type":"DESTINATION","reference":"test reference","category":"Redemption","bankAccount":{"accountName":"xyz account","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"hasLinkedAccount":false}}}}},"required":true},"responses":{"200":{"description":"OK","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"SourceLineItem":{"value":{"data":{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},"errors":[]}},"DestinationLineItem":{"value":{"data":{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false},"errors":[]}},"DestinationLineItemWithLinkedAccount":{"value":{"data":{"lineItemId":"85f301f6-11d2-4fc2-bd7f-17af37df1192","amount":10,"type":"DESTINATION","authorised":null,"reference":"hh","category":"Redemption","lineItemReference":"PEXA230044822D01","bankAccount":{"accountName":"ReportsUpdates","accountNumber":"52352322","bankCode":"543253","accountType":"BUSINESS","displayName":"API394"},"verificationDetail":null,"hasLinkedAccount":true},"errors":[]}}}}}},"400":{"description":"BAD REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"SourceLineItem":{"value":{"error":{"field":"type","message":"type must be one of [SOURCE, DESTINATION]"}}},"DestinationLineItem":{"value":{"error":{"field":"bankAccount","message":"field is missing"}}},"DestinationLineItemWithLinkedAccount":{"value":{"error":{"field":"amount","message":"field is missing"}}}}}}},"500":{"description":"INTERNAL SERVER ERROR","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"SourceLineItem":{"value":{"errors":[{"message":"Internal Server Error"}]}},"DestinationLineItem":{"value":{"errors":[{"message":"Internal Server Error"}]}},"DestinationLineItemWithLinkedAccount":{"value":{"errors":[{"message":"Internal Server Error"}]}}}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}}},"/partner/api/platformconnect/v1/financial-settlement-schedules/{financialSettlementScheduleId}/line-items/{lineItemId}":{"patch":{"tags":["lineItem"],"summary":"Update Financial Line Item","description":"This API is used in conjunction with 'Fetch financial settlement schedules' API to update data in an existing line item","operationId":"updateLineItem","security":[{"oauth2":["edit:fss_line_items"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"financialSettlementScheduleId","in":"path","required":true,"description":"Financial Settlement Schedule id for which lineItems are updated","schema":{"type":"string","format":"uuid"}},{"name":"lineItemId","in":"path","required":true,"description":"Line Item Id for which update has to happen","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"}}},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"}}},"examples":{"UpdateBankAccount":{"value":{"bankAccount":{"accountName":"accountA","accountNumber":"12345678","bankCode":"123456"}}},"UpdateAmount":{"value":{"amount":123456}},"UpdateReference":{"value":{"reference":"sample"}}}}},"required":true},"responses":{"200":{"description":"OK","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"UpdateBankAccount":{"value":{"data":{"lineItemId":"c7c0ee40-25c1-11ec-9621-0242ac130002","type":"DESTINATION","amount":100,"authorised":true,"reference":"Nation wide","category":"Settlement","lineItemReference":"PEXA220000003D01","bankAccount":{"accountName":"accountA","accountNumber":"12345678","bankCode":"123456","accountType":"BUSINESS","displayName":"Mortgage account"},"verificationDetail":{"status":"MATCH","verified":true,"acceptedAt":"2022-01-01T00:00:00Z","acceptedBy":"c7c0ee40-25c1-11ec-9621-0242ac130002","actualName":"accountA","isManualOverrideAllowed":false},"hasLinkedAccount":true},"errors":[]}},"UpdateAmount":{"value":{"data":{"lineItemId":"c7c0ee40-25c1-11ec-9621-0242ac130002","type":"DESTINATION","amount":100,"authorised":true,"reference":"Nation wide","category":"Settlement","lineItemReference":"PEXA220000003D01","bankAccount":{"accountName":"accountA","accountNumber":"12345678","bankCode":"123456","accountType":"BUSINESS","displayName":"Mortgage account"},"verificationDetail":{"status":"MATCH","verified":true,"acceptedAt":"2022-01-01T00:00:00Z","acceptedBy":"c7c0ee40-25c1-11ec-9621-0242ac130002","actualName":"accountA","isManualOverrideAllowed":false},"hasLinkedAccount":true},"errors":[]}},"UpdateReference":{"value":{"data":{"lineItemId":"c7c0ee40-25c1-11ec-9621-0242ac130002","type":"DESTINATION","amount":100,"authorised":true,"reference":"Nation wide","category":"Settlement","lineItemReference":"PEXA220000003D01","bankAccount":{"accountName":"accountA","accountNumber":"12345678","bankCode":"123456","accountType":"BUSINESS","displayName":"Mortgage account"},"verificationDetail":{"status":"MATCH","verified":true,"acceptedAt":"2022-01-01T00:00:00Z","acceptedBy":"c7c0ee40-25c1-11ec-9621-0242ac130002","actualName":"accountA","isManualOverrideAllowed":false},"hasLinkedAccount":true},"errors":[]}}}}}},"400":{"description":"BAD REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"UpdateBankAccount":{"value":{"errors":[{"field":"accountNumber","message":"account number is not in valid format"}]}},"UpdateAmount":{"value":{"errors":[{"field":"amount","message":"amount cannot be empty"}]}},"UpdateReference":{"value":{"errors":[{"field":"reference","message":"invalid reference"}]}}}}}},"500":{"description":"INTERNAL SERVER ERROR","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"examples":{"UpdateBankAccount500StatusDefaultError":{"value":{"errors":[{"message":"Internal server error"}]}},"UpdateAmount500StatusDefaultError":{"value":{"errors":[{"message":"Internal server error"}]}},"UpdateReference500StatusDefaultError":{"value":{"errors":[{"message":"Internal server error"}]}}}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}},"delete":{"tags":["lineItem"],"summary":"Delete Financial Line Item","description":"This API is used to delete the existing source and destination line item","operationId":"deleteLineItem","security":[{"oauth2":["delete:fss_line_items"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"financialSettlementScheduleId","in":"path","required":true,"description":"Financial Settlement Schedule id for which lineItem need to be deleted","schema":{"type":"string","format":"uuid"}},{"name":"lineItemId","in":"path","required":true,"description":"Line Item Id for which delete need to happen","schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"NO_CONTENT","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}}},"400":{"description":"BAD_REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"field":"lineItemId","message":"lineItemId is not in UUID format"}]}}}},"401":{"description":"UNAUTHORISED","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"WWW-Authenticate":{"schema":{"type":"string"},"description":"Contains token level error description (Ex - Token Expired, Invalid Audience)"}}},"500":{"description":"INTERNAL_SERVER_ERROR","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Internal Server Error"}]}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}}},"/partner/api/platformconnect/v1/financial-settlement-schedules":{"get":{"tags":["FinancialSettlementSchedule"],"summary":"Get Financial Settlement Schedule","description":"This API is used by Law Firms to fetch Financial Settlement Schedule information. This includes the funds source and destination line items and completion date.\n\nThe API provides the Financial Settlement Schedule ID which can be used in conjunction with the additional Settlement Service APIs to add or update existing financial settlement schedule details.\n","operationId":"fetchFinancialSettlementSchedule","security":[{"oauth2":["view:financial_settlement_schedules"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"workspace_id","in":"query","description":"Unique identifier of the Workspace entity for which financial settlement schedule need to be fetched","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"records":{"type":"array","items":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}}}}},"202":{"description":"ACCEPTED - Resource is being set up. Client should retry after a short delay.","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"records":{"type":"array","items":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"field":null,"message":"Resource being set up. Please try again after a few seconds."}]}}}},"400":{"description":"BAD REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"records":{"type":"array","items":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]}},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"field":"workspaceId","message":"workspaceId has to be a UUID"}]}}}},"500":{"description":"INTERNAL SERVER ERROR","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Internal server error"}]}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}}},"/partner/api/platformconnect/v1/financial-settlement-schedules/{financialSettlementScheduleId}":{"patch":{"tags":["financialSettlementSchedule"],"summary":"Set Completion Date","description":"This API is used in conjunction with 'Fetch financial settlement schedules' API  to set or update the completion date","operationId":"updateCompletionDate","security":[{"oauth2":["edit:financial_settlement_schedules"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"financialSettlementScheduleId","in":"path","required":true,"description":"Unique identifier for Financial Settlement Schedule id","schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"completionDate":{"type":"string","format":"date","example":"1970-12-31"}},"required":["completionDate"]}}},"required":true},"responses":{"200":{"description":"OK","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}}}}},"400":{"description":"BAD REQUEST","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"field":"completionDate","message":"field is missing"}]}}}},"500":{"description":"INTERNAL SERVER ERROR","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"financialSettlementScheduleId":{"type":"string","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ab130002"},"workspaceId":{"type":"string","description":"UUID of the corresponding workspace","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"workspaceStatus":{"type":"string","description":"Status of workspace to which the financial settlement schedule belongs","example":"PREPARED"},"completionDate":{"type":"string","description":"settlement completion date, yyyy-mm-dd (format)","format":"date"},"approvals":{"default":[],"type":"array","items":{"type":"object","properties":{"participantId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"isApproved":{"type":"boolean","example":true}}},"example":[{"participantId":"59a02f78-79c2-49ff-b27f-5606b4cda762","isApproved":true}]},"status":{"type":"string","description":"financial settlement schedule status","example":"Prepared"},"workspaceReferenceId":{"type":"string","description":"Reference Id of the corresponding workspace","example":"PEXA220000001"},"hardLocked":{"type":"boolean","description":"Hard locked status of the workspace","example":false},"held":{"type":"boolean","description":"Held status of financial settlement schedule","example":false},"settlementReference":{"type":"string","description":"Reference of the associated settlement","example":"PEXA081220211105"},"slotTime":{"type":"string","description":"slot time at which financial settlement schedule will settle","example":880},"amountPayableOnCompletion":{"type":"number","description":"Amount payable to the seller representative on completion in S&P transaction","example":100},"lineItems":{"type":"array","default":[],"items":{"type":"object","properties":{"lineItemId":{"type":"string","description":"UUID of the corresponding line item","format":"uuid","example":"c7c0ee40-25c1-11ec-9621-0242ac130002"},"type":{"type":"string","pattern":"^(SOURCE|DESTINATION)$","example":"SOURCE","description":"Allowed values:\n [`SOURCE`, `DESTINATION`]\n"},"amount":{"type":"number","minimum":1,"maximum":999999999999.99,"description":"Amount to be credited / debited","example":10},"authorised":{"type":"boolean","example":true,"nullable":true,"description":"Authorisation status of the line item"},"reference":{"type":"string","minLength":1,"maxLength":18,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Nation wide"},"category":{"type":"string","description":"Allowed values for source line item:\n [`Mortgage Advance`]\n<br> Allowed values for destination line item:\n [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]\n"},"lineItemReference":{"type":"string","example":"PEXA220000003D01"},"bankAccount":{"type":"object","nullable":true,"description":"This field is required and can be updated only for type DESTINATION.","properties":{"accountName":{"type":"string","maxLength":35,"minLength":1,"pattern":"^[a-zA-Z0-9\\/\\-\\\\?:().,'#=!\"%&*<>;@{+\\s]*$","example":"Bob Smith"},"accountNumber":{"type":"string","pattern":"^\\d{8}$","example":"12345678"},"bankCode":{"type":"string","pattern":"^\\d{6}$","example":"123456"},"accountType":{"type":"string","pattern":"^(BUSINESS|PERSONAL)$","example":"BUSINESS","description":"Allowed Values: [`BUSINESS`, `PERSONAL`]\n"},"displayName":{"type":"string","nullable":true,"maxLength":35,"pattern":"^[0-9a-zA-Z/\\-\\?:\\(\\)\\.,'\\+ !#$%&\\*=^_`\\{\\|\\}~\";<>@\\[\\\\\\]]+$","example":"Mortgage account"}},"required":["accountName","accountNumber","bankCode"]},"verificationDetail":{"type":"object","nullable":true,"properties":{"status":{"type":"string","pattern":"^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$","example":"NAME_PARTIAL_MATCH","description":"status of account verification Allowed Values: [ `MATCH`, `NAME_PARTIAL_MATCH`, `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`, `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`, `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]\n"},"partnerReasonCode":{"type":"string","nullable":true,"description":"Reason code sent from third party system for account verification.\n\n| Code |                Description                   |\n| -------|----------------------------------|\n| ANNM | Account Name does Not Match |\n| MBAM | There may be a match on the Account name |\n| BANM | Business account, name matches |\n| PANM | Personal account, name matches |\n| BAMM | Business account, name may be a match |\n| PAMM | Personal account, name may be a match |\n| AC01 | Incorrect Account Number |\n| IVCR | Invalid Customer Reference |\n| ACNS | Account type Not Supported for CoP |\n| OPTO | Opted out of CoP Scheme |\n| CASS | Account has been switched |\n| SCNS | Sort code not supported at endpoint |\n"},"verified":{"type":"boolean","description":"denotes in the account details are verified"},"acceptedAt":{"type":"string","nullable":true,"format":"date-time","description":"timestamp recorded when the consent was given for the account"},"acceptedBy":{"type":"string","nullable":true,"description":"id of the user who gave the consent for the account"},"actualName":{"type":"string","nullable":true,"description":"Actual name of given account received from CoP in case of partial match"},"isManualOverrideAllowed":{"type":"boolean","description":"Flag to indicate if manual override is allowed"}}},"hasLinkedAccount":{"type":"boolean","nullable":true,"description":"Flag to indicate whether account is a linked account"}}},"example":[{"lineItemId":"5c39f824-4070-46fc-97c0-72c565542e09","type":"SOURCE","amount":19,"authorised":false,"reference":"dfd","category":"Mortgage Advance","lineItemReference":"PEXA230044822S01","bankAccount":null,"verificationDetail":null,"hasLinkedAccount":null},{"lineItemId":"ed781522-e4df-4a11-936c-6b5ec0ec9498","amount":56,"type":"DESTINATION","authorised":null,"reference":"hdg","category":"Redemption","lineItemReference":"PEXA230044822D02","bankAccount":{"accountName":"acc name","accountNumber":"34235648","bankCode":"453673","accountType":"BUSINESS","displayName":null},"verificationDetail":{"status":"MATCH","partnerReasonCode":null,"verified":true,"acceptedAt":null,"acceptedBy":null,"actualName":null,"isManualOverrideAllowed":false},"hasLinkedAccount":false}]},"participants":{"default":[],"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","format":"uuid","example":"59a02f78-79c2-49ff-b27f-5606b4cda762"},"role":{"type":"string","example":"INCOMING_LENDER"}}}}},"required":["financialSettlementScheduleId"]},"errors":{"default":[],"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"error updating completion date"}]}}}},"503":{"description":"SERVICE UNAVAILABLE","headers":{"X-API-Version":{"schema":{"type":"string","description":"The API version that was used to process the request."}},"X-Request-Correlation-Id":{"schema":{"type":"string","description":"The unique identifier for the request"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","description":"Field"},"message":{"type":"string","description":"Error message"}}}}}},"example":{"errors":[{"message":"Service under maintenance"}]}}}}}}},"/partner/api/platformconnect/v1/workspaces/{workspace_id}/financial-approvals":{"post":{"tags":["Settlement"],"summary":"Approve or Unapprove Financial Settlement Schedule","description":"This endpoint is used by conveyancing law firms to approve the financial line items so the workspace can be prepared.","operationId":"approveFinancialSettlementSchedule","security":[{"oauth2":["x-api:approve:financial_settlement_schedules","x-api:unapprove:financial_settlement_schedules","edit:financial_settlement_schedules","view:financial_settlement_schedules","approve:financial_settlement_schedules","unapprove:financial_settlement_schedules"]}],"parameters":[{"in":"header","name":"X-Request-Correlation-Id","schema":{"type":"string","description":"The unique identifier for the request"}},{"name":"workspace_id","in":"path","description":"Workspace id","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["action","approvedBy"],"properties":{"action":{"type":"string","pattern":"^(APPROVE|UNAPPROVE)$","
[...]
